Subject: Re: [PATCH 5/5] drop vcs-svn experiment

From: Taylor Blau <[email-masked]>
Date: Thu, 13 Aug 2020 11:11:36 -0400

On Thu, Aug 13, 2020 at 11:00:17AM -0400, Jeff King wrote:
> The code in vcs-svn was started in 2010 as an attempt to build a
> remote-helper for interacting with svn repositories (as opposed to
> git-svn). However, we never got as far as shipping a mature remote
> helper, and the last substantive commit was e99d012a6bc in 2012.
>
> We do have a git-remote-testsvn, and it is even installed as part of
> "make install". But given the name, it seems unlikely to be used by
> anybody (you'd have to explicitly "git clone testsvn::$url", and there
> have been zero mentions of that on the mailing list since 2013, and even
> that includes the phrase "you might need to hack a bit to get it working
> properly"[1]).
>
> We also ship contrib/svn-fe, which builds on the vcs-svn work. However,
> it does not seem to build out of the box for me, as the link step misses
> some required libraries for using libgit.a. Curiously, the original
> build breakage bisects for me to eff80a9fd9 (Allow custom "comment
> char", 2013-01-16), which seems unrelated. There was an attempt to fix
> it in da011cb0e7 (contrib/svn-fe: fix Makefile, 2014-08-28), but on my
> system that only switches the error message.
>
> So it seems like the result is not really usable by anybody in practice.
> It would be wonderful if somebody wanted to pick up the topic again, and
> potentially it's worth carrying around for that reason. But the flip
> side is that people doing tree-wide operations have to deal with this
> code.  And you can see the list with (replace "HEAD" with this commit as
> appropriate):

I have nothing to add to this email other than to say that I think it
makes sense to remove this. I agree it would be nice if somebody picked
it up, but given that nothing has really changed since ~8 years ago, I
think that it's unlikely to happen in the next ~8 years ;).

At least, it seems unlikely enough that dropping 2MB from the
installation size is worth it. If someone *is* interested in picking it
up, I'm sure that they won't have trouble finding this patch and
reverting it.

Thanks.

> [snip]

Thanks,
Taylor